%define         destdir         /usr/local/%{rname}/%{version}
#global indice   a
%define         _prefix         %{destdir}
%define		_mandir		%{destdir}/share/man
# modules defaults
%define modulefile_path /usr/local/share/Modules/modulefiles/%{rname}/%{version}
%define modulefile_path_file %{modulefile_path}/%{_arch}

Version:	1.4.1
%define		rname		samtools
%define		numversion	 %( echo %{version} | awk -F. '{printf("%01d%02d%02d",$1,$2,$3)}' )
Name:		samtools%{numversion}
Release:	4%{?dist}
Summary:	Tools for Reading/writing/editing/indexing/viewing SAM/BAM/CRAM format

Group:		Applications/Engineering
License:	MIT
URL:		http://samtools.sourceforge.net/
Source0:	http://downloads.sourceforge.net/%{rname}/%{rname}-%{version}.tar.bz2
BuildRoot:	%(mktemp -ud %{_tmppath}/%{rname}-%{version}-%{release}-XXXXXX)

BuildRequires:	zlib-devel >= 1.2.3
BuildRequires:	ncurses-devel
BuildRequires:	bzip2-devel
BuildRequires:	xz-devel
BuildRequires:	libcurl-devel
BuildRequires:	openssl-devel
AutoReq:	no

%description
Samtools implements various utilities for post-processing alignments in the
SAM, BAM, and CRAM formats, including indexing, variant calling (in conjunction
with bcftools), and a simple alignment viewer.

%package devel
Summary:	Header files and libraries for compiling against %{name}
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
AutoReq:	no

%description devel
Header files and libraries for compiling against %{name}

%prep
%setup -q -n %{rname}-%{version}

%build
%configure --prefix=%{_prefix}
#pushd htslib-*
#make CFLAGS="%{optflags} -fPIC" %{?_smp_mflags}
#popd
#make CFLAGS="%{optflags} -fPIC" %{?_smp_mflags}
make

%install
rm -rf %{buildroot}
pushd htslib-*
%makeinstall
popd
%makeinstall

perl -pi -e "s|$RPM_BUILD_ROOT||" $RPM_BUILD_ROOT%{_libdir}/pkgconfig/*

mkdir -p $RPM_BUILD_ROOT%{modulefile_path}
cat > $RPM_BUILD_ROOT%{modulefile_path_file} <<ENDFILE
#%Module

# NOTE: This is an automatically-generated file!  (generated by the
# %{name} rpm).  Any changes made here will be lost a) if the RPM is
# uninstalled, or b) if the RPM is upgraded or uninstalled.

proc ModulesHelp { } {
   puts stderr "This module adds %{rname} %{version} to various paths"
}

module-whatis   "Sets up %{rname} %{version}"
prepend-path    PATH "%{_prefix}/bin"
prepend-path    LD_LIBRARY_PATH "%{_libdir}"
prepend-path    LIBRARY_PATH "%{_libdir}"
prepend-path    CPATH "%{_prefix}/include"
prepend-path	MANPATH "%{_mandir}"
ENDFILE

%check
make check

%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog.old INSTALL NEWS LICENSE examples README
%dir /usr/local/%{rname}
%dir %{destdir}
%{_bindir}
%{_mandir}
%dir %{_libdir}
%{_libdir}/lib*.so.*
%dir /usr/local/share/Modules/modulefiles/%{rname}
%dir %{modulefile_path}
%{modulefile_path_file}

%files	devel
%defattr(-,root,root,-)
%{_includedir}
%{_libdir}/lib*.a
%{_libdir}/lib*.so
%{_libdir}/pkgconfig

%changelog
* Fri Sep 11 2015 Josko Plazonic <plazonic@princeton.edu>
- much newer version

* Thu Aug 15 2013 Josko Plazonic <plazonic@math.princeton.edu> - 0.1.19-2
- update to new version

* Wed Oct 26 2011 Adam Huffman <verdurin@fedoraproject.org> - 0.1.18-2
- make sure new seqtk tool included

* Tue Sep  6 2011 Rasmus Ory Nielsen <ron@ron.dk> - 0.1.18-1
- Updated to 0.1.18

* Tue May 10 2011 Rasmus Ory Nielsen <ron@ron.dk> - 0.1.16-1
- Updated to 0.1.16

* Mon Apr 11 2011 Rasmus Ory Nielsen <ron@ron.dk> - 0.1.15-1
- Updated to 0.1.15

* Wed Mar 23 2011 Rasmus Ory Nielsen <ron@ron.dk> - 0.1.14-1
- Updated to 0.1.14
- Build shared library instead of static

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.12a-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Dec  6 2010 Rasmus Ory Nielsen <ron@ron.dk> - 0.1.12a-2
- Fixed header files directory ownership
- Added missing header files

* Mon Dec  6 2010 Rasmus Ory Nielsen <ron@ron.dk> - 0.1.12a-1
- Updated to 0.1.12a

* Tue Nov 23 2010 Adam Huffman <bloch@verdurin.com> - 0.1.8-4
- cleanup man page handling

* Sun Oct 10 2010 Adam Huffman <bloch@verdurin.com> - 0.1.8-4
- fix attributes for devel subpackage
- fix library location

* Sun Sep 26 2010 Adam Huffman <bloch@verdurin.com> - 0.1.8-3
- put headers and library in standard locations

* Mon Sep 6 2010 Adam Huffman <bloch@verdurin.com> - 0.1.8-2
- merge Rasmus' latest changes (0.1.8 update)
- include bam.h and libbam.a for Bio-SamTools compilation
- move bam.h and libbam.a to single directory
- put bgzf.h, khash.h and faidx.h in the same place
- add -fPIC to CFLAGS to make Bio-SamTools happy
- add virtual Provide as per guidelines

* Tue Aug 17 2010 Rasmus Ory Nielsen <ron@ron.dk> - 0.1.8-1
- Updated to 0.1.8.

* Mon Nov 30 2009 Rasmus Ory Nielsen <ron@ron.dk> - 0.1.7a-1
- Updated to 0.1.7a.

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.5c-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sun Jul 12 2009 Rasmus Ory Nielsen <ron@ron.dk> - 0.1.5c-3
- Specfile cleanup.

* Sat Jul 11 2009 Rasmus Ory Nielsen <ron@ron.dk> - 0.1.5c-2
- Fixed manpage location.
- Make sure optflags is passed to the makefiles.

* Sat Jul 11 2009 Rasmus Ory Nielsen <ron@ron.dk> - 0.1.5c-1
- Initial build.
